Remove env dump, minor changes to force script deploy

Change-Id: I14784f296d9d975934203d04e120c3cf52b05831
diff --git a/jjb/shell/github-release.sh b/jjb/shell/github-release.sh
index 37d5b5a..d3a5b8c 100755
--- a/jjb/shell/github-release.sh
+++ b/jjb/shell/github-release.sh
@@ -26,6 +26,12 @@
 # https://github.com/cli/cli/issues/4993
 # -----------------------------------------------------------------------
 
+# declare -g TRACE=0  # uncomment to set -x
+
+# shellcheck disable=SC2015
+[[ -v TRACE ]] && { set -x; } || { set +x; } # SC2015 (shellcheck -x)
+
+
 ##-------------------##
 ##---]  GLOBALS  [---##
 ##-------------------##
@@ -36,7 +42,6 @@
 
 declare -g ARGV="$*"            # archive for display
 declare -g SCRIPT_VERSION='1.0' # git changeset needed
-declare -g TRACE=0              # uncomment to set -x
 
 declare -g RELEASE_TEMP
 
@@ -205,6 +210,8 @@
 	    cmd+=('--discussion-category' "Announcements")
 	    # cmd+=('--verify-tag')   # fatal
 
+	    declare -p cmd
+
 	    # gh release create [<tag>] [<files>...]
 	    echo "** ${iam}: RUNNING " "${cmd[@]}"
 	    "${cmd[@]}"
@@ -277,11 +284,6 @@
 init
 install_gh_binary
 
-echo "==========================================================================="
-set
-echo "==========================================================================="
-
-
 # when not running under Jenkins, use current dir as workspace and a blank
 # project name
 WORKSPACE=${WORKSPACE:-.}
@@ -343,9 +345,6 @@
   exit 1
 else
 
-  # shellcheck disable=SC2015
-  [[ -v TRACE ]] && { set -x; } || { set +x; } # SC2015 (shellcheck -x)
-
   pushd "$release_path"
 
   # Release description is sanitized version of the log message
@@ -410,6 +409,8 @@
 	    cmd+=('--repo' "opencord/${GERRIT_PROJECT}")
 	    cmd+=("${to_release[@]}")
 
+	    declare -p cmd
+
 	    # gh release upload <tag> <files>... [flags]
 	    "${cmd[@]}"
 	    ;;